<?php

namespace App\Http\Controllers;

use App\Repo\MakeRequest;

class PortalParameterController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $base_url = env("SURVEY_ENGINE_URL");
        $this->makeRequest = new MakeRequest($base_url);
        $this->token = env('ADMIN_TOKEN');
    }



    public function createClient()
    {
        $response =  $this->makeRequest->getAsJson("parameters/create-client", [
            'Client-Key' => $this->token
        ]);

        return $this->sendResponse($response->body, 'success');
    }

    public function countryStates($country_id)
    {

        $response =  $this->makeRequest->getAsJson("parameters/states/{$country_id}", [
            'Client-Key' => $this->token
        ]);

        return $this->sendResponse($response->body, 'success');

    }
}
