<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\DB;

class BranchCheck
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        $branch_id = $request->header('branch-slug');
        $user_id = $request->header('user-id');

       
        $branch = DB::table('branches')->where('branch_slug', $branch_id)->first();

        if(is_null($branch)){
            return response()->json([
                'message' => 'Access Denied',
                'status' => 0,
                'status_code' => 403
            ], 403);
        }

        $branch_check = DB::table('user_branches')->where('user_id', $user_id)->where('branch_id', $branch->id)->first();

        if(is_null($branch_check)){
            return response()->json([
                'message' => 'Access Denied',
                'status' => 0,
                'status_code' => 403
            ], 403);
        }

        $request->branch_slug = $branch->branch_slug;
        $request->user_id = $user_id;
        return $next($request);
    }
}
