<?php

namespace App\Providers;

use App\Interfaces\IBranch;
use App\Interfaces\ICompany;
use App\Interfaces\ICompanyType;
use App\Interfaces\IDashboard;
use App\Interfaces\IMenu;
use App\Interfaces\IPrivilage;
use App\Interfaces\IProgram;
use App\Interfaces\IRole;

use App\Interfaces\IUser;
use App\Interfaces\ILicense;
use App\Interfaces\Survey\IQuestion;
use App\Interfaces\Survey\IResponseGroup;
use App\Interfaces\ISector;
use App\Interfaces\Survey\ISurvey;
use App\Interfaces\Survey\IType;
use App\Repo\BranchRepo;
use App\Repo\CompanyRepo;
use App\Repo\CompanyTypeRepo;
use App\Repo\DashboardRepo;
use App\Repo\LicenseRepo;
use App\Repo\MenuRepo;
use App\Repo\PrivilageRepo;
use App\Repo\ProgramRepo;
use App\Repo\RoleRepo;
use App\Repo\SectorRepo;
use App\Repo\SurveyRepo\QuestionRepo;
use App\Repo\SurveyRepo\ResponseGroupRepo;
use App\Repo\SurveyRepo\SurveyRepo;
use App\Repo\SurveyRepo\TypeRepo;
use App\Repo\UserRepo;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->singleton(IUser::class, UserRepo::class);
        $this->app->singleton(IRole::class, RoleRepo::class);
        $this->app->singleton(IPrivilage::class, PrivilageRepo::class);
        $this->app->singleton(IProgram::class, ProgramRepo::class);
        $this->app->singleton(ICompany::class, CompanyRepo::class);
        $this->app->singleton(IMenu::class, MenuRepo::class);
        $this->app->singleton(ICompanyType::class, CompanyTypeRepo::class);
        $this->app->singleton(IBranch::class, BranchRepo::class);


        /********************** Survey ********/
        $this->app->singleton(IType::class, TypeRepo::class);
        $this->app->singleton(IResponseGroup::class, ResponseGroupRepo::class);
        $this->app->singleton(ISurvey::class, SurveyRepo::class);
        $this->app->singleton(IQuestion::class, QuestionRepo::class);

        $this->app->singleton(ISector::class, SectorRepo::class);
        $this->app->singleton(ILicense::class, LicenseRepo::class);

        $this->app->singleton(IDashboard::class, DashboardRepo::class);

   
}


 public function boot()
{
    Schema::defaultStringLength(191);
}   

}
