<?php

namespace App\Repo;

use App\Interfaces\IDashboard;

class DashboardRepo extends BaseRepo implements IDashboard
{

    public $makeRequest;

    public function __construct($table_name = "dashboard")
    {
        parent::__construct($table_name);
        $base_url = env("SURVEY_ENGINE_URL");
        $this->makeRequest = new MakeRequest($base_url);
        $this->token = env('ADMIN_TOKEN');
    }

    public function dashboardData($client_slug, $branch_slug)
    {
        $survey =  $this->makeRequest->getAsJson("{$client_slug}/dashboard/surveys", [
            'client-Key' => $this->token,
            'branch-slug'=> $branch_slug
       ]);
        
       $data['survey'] = $survey->body;
       $data['status_code'] = $survey->body->status_code;
       

       return (object)$data;
       
    }

    public function graphData($client_slug, $branch_slug)
    {
        return $this->makeRequest->getAsJson("{$client_slug}/dashboard/graphs-data", [
            'client-Key' => $this->token,
            'branch-slug' => $branch_slug
        ]);

        // $data['graph'] = $graph->body;
        // $data['status_code'] = $graph->body->status_code;
    }

   

    

}
