<?php

namespace App\Repo;

use App\Interfaces\IProgram;
use Illuminate\Support\Facades\DB;

class ProgramRepo extends BaseRepo implements IProgram
{

    protected $table_name;

    public function __construct($table_name="programs")
    {
        parent::__construct($table_name);
        $this->table_name = $table_name;
    }

    public function programExists(string $slug)
    {
        return DB::table($this->table_name)
            ->where(["program_slug" => $slug, "active_flag" => 1])->exists();
    }

    public function getProgramBySlug(string $slug)
    {
        return DB::table($this->table_name)
            ->where(["program_slug" => $slug, "active_flag" => 1])->first();
    }

    public function createProgram(array $data)
    {
        return DB::table($this->table_name)->insert($data);
    }

    


}