<?php

namespace App\Repo;

use App\Interfaces\ISector;

class SectorRepo extends BaseRepo implements ISector
{
    public $makeRequest;

    public function __construct($table_name = "sectors")
    {
        parent::__construct($table_name);
        $base_url = env("SURVEY_ENGINE_URL");
        $this->makeRequest = new MakeRequest($base_url);
        $this->token = env('ADMIN_TOKEN');

    }

    public function sectors()
    {
        return $this->makeRequest->getAsJson("sector", [
            'client-Key'=> $this->token
        ]);
    }

    public function getSector($id)
    {
        return $this->makeRequest->getAsJson("sector/find/{$id}", [
            'client-Key'=> $this->token
        ]);
    }

    public function createSector(array $data)
    {
        return $this->makeRequest->postAsJson("sector/create", $data, [
            'client-Key'=> $this->token
        ]);
    }

    public function updateSector(array $data, $id)
    {
        return $this->makeRequest->postAsJson("sector/update/{$id}", $data, [
            'client-Key'=> $this->token
        ]);
    }

    public function disableSector(int $id)
    {
        return $this->makeRequest->postAsJson("sector/disable/{$id}", [], [
            'client-Key'=> $this->token
        ]);
    }

    public function enableSector(int $id)
    {
        return $this->makeReques->postAsJson("sector/enable/{$id}", [], [
            'client-Key'=> $this->token
        ]);
    }

    
}