<?php

$router->group(['prefix'=> 'api/v1/admin'], function() use ($router) {

     // $router->post('login', 'AuthController@login');
     
     $router->group(['prefix'=> 'program', 'middleware'=> 'preX-access'], function() use ($router){

        $router->post('/create-program', 'ProgramController@createProgram');
        $router->get('/enable-program/{slug}', 'ProgramController@enableProgram');
        $router->get('/disable-program/{slug}', 'ProgramController@disableProgram');
    });

    $router->group(['prefix'=> 'company', 'middleware'=> 'preX-access'], function() use ($router) {

       // $router->get('/all-company', 'CompanyController@all_company');
        $router->post('/create-company', 'CompanyController@createCompany');
        $router->post('/update-company/{company_slug}', 'CompanyController@updateCompany');
        $router->get('/get-company/{company_slug}', 'CompanyController@getCompany');
        $router->get('/disable-company/{company_slug}', 'CompanyController@disableCompany');
        $router->get('/enable-company/{company_slug}', 'CompanyController@enableCompany');

        $router->post('/create-type', 'CompanyController@companyType');
        $router->post('/update-type/{id}','CompanyController@updateCompanyType');
        $router->get('/disable-type/{id}', 'CompanyController@disableType');
        $router->get('/enable-type/{id}', 'CompanyController@enableType');


    });

    $router->group(['prefix'=> '{company_slug}/users', 'middleware'=> 'preX-access'], function()use($router) {
        //Route for users
        $router->get('/', 'UserController@index');
        $router->post('/create', "UserController@createUser");
        $router->get("/{id}/enable", "UserController@enableUser");
        $router->get("/{id}/disable", "UserController@disableUser");
       
    });

   // $router->get("users/menus", "PrivilegeController@getUserMenu");

   $router->group(['prefix'=> '{company_slug}/roles', 'middleware' => 'preX-access'], function() use($router) {
        //Route for roles
        $router->get('/', 'RoleController@index');
        $router->get('/all-roles', 'RoleController@allRoles');
        $router->post('/create-role', 'RoleController@createRole');
        $router->post('/{slug}', 'RoleController@updateRole');
        $router->get('/{slug}/enable', 'RoleController@enableRole');
        $router->get('/{slug}/disable', 'RoleController@disableRole');

   });

   $router->group(['prefix'=> 'privilege', 'middleware'=> 'preX-access'], function() use($router) {

        $router->get('/', 'PrivilegeController@index');
        $router->get('all-privileges', 'PrivilegeController@allPrivileges');
        $router->post('create-privilege', 'PrivilegeController@createPrivilege');
        $router->post('update-privilege/{id}', 'PrivilegeController@updatePrivilege');
        $router->get('disable-privilege/{id}', 'PrivilegeController@disablePrivilege');
        $router->get('enable-privilege/{id}', 'PrivilegeController@enablePrivilege');
        $router->post('assign-privilege', 'PrivilegeController@assignPrivileges');
   });

    
});